Package org.apache.sling.caconfig.annotation

## Annotation Type Configuration

    @Target(ANNOTATION_TYPE)
    @Retention(RUNTIME)
    public @interface Configuration

Marks an annotation class to be useable with Sling context-aware configuration.

### Optional Element Summary

Optional Elements
`boolean` `collection`
`String` `description`
`String` `label`
`String` `name`
`String[]` `property`

### Element Detail

#### name

    String name

Returns:
  Allows to overwrite the configuration name. If not set the class name of the annotation is used.

Default:
  ""

#### label

    String label

Returns:
  Label for the resource (e.g. for configuration editor GUIs).

Default:
  ""

#### description

    String description

Returns:
  Description for the resource (e.g. for configuration editor GUIs).

Default:
  ""

#### property

    String[] property

Returns:
  Further properties e.g. for configuration editor GUIs.

Default:
  {}

#### collection

    boolean collection

Returns:
  Indicates that this definition should be used for configuration collections.

Default:
  false